Subject: bug#3465: 23.0.94; feature request: be able to log minibuffer messages

From: Eli Zaretskii <[email-masked]>
Date: Thu, 20 Aug 2020 22:52:21 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 20 Aug 2020 21:45:24 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I'm probably missing something.  This "works for me"™:
> >
> >   M-: (with-current-buffer (get-buffer " *Minibuf-1*")
> > (minibuffer-message "foo") (message "FOO")) RET
> 
> Does both foo and FOO end up in your *Messages* buffer?  I only get FOO
> there, and the bug report is about the foo.

I don't understand: I thought the above shows that calling 'message'
from the minibuffer does work, so programs which want to log
minibuffer messages can call 'message' with whatever they want to log,
and that stuff will end up in *Messages*.

What am I missing?